/ExtractImage/id
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://liveness-v2-eu.core.idscan.cloud/ExtractImage/id"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new MultipartFormDataContent { new StringContent("example") { Headers = { ContentType = new MediaTypeHeaderValue("text/plain"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "EncryptedPacketId", } } }, new StringContent("{ \"additionalProperty\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "Configurations", } } }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://liveness-v2-eu.core.idscan.cloud/ExtractImage/id"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"EncryptedPacketId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"Configurations\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "multipart/form-data; boundary=---011000010111000001101001")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("multipart/form-data; boundary=---011000010111000001101001");RequestBody body = RequestBody.create(mediaType, "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"EncryptedPacketId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"Configurations\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n");Request request = new Request.Builder() .url("https://liveness-v2-eu.core.idscan.cloud/ExtractImage/id") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "multipart/form-data; boundary=---011000010111000001101001") .build();
Response response = client.newCall(request).execute();const url = 'https://liveness-v2-eu.core.idscan.cloud/ExtractImage/id';const form = new FormData();form.append('EncryptedPacketId', 'example');form.append('Configurations', '{ "additionalProperty": "example" }');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("multipart/form-data; boundary=---011000010111000001101001")val body = RequestBody.create(mediaType, "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"EncryptedPacketId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"Configurations\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n")val request = Request.Builder() .url("https://liveness-v2-eu.core.idscan.cloud/ExtractImage/id") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "multipart/form-data; boundary=---011000010111000001101001") .build()
val response = client.newCall(request).execute()curl --request POST \ --url https://liveness-v2-eu.core.idscan.cloud/ExtractImage/id \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form EncryptedPacketId=example \ --form 'Configurations={ "additionalProperty": "example" }'Extracts the JPG portrait captured inside a previously cached encrypted enhanced liveness packet.
Documents and Biometrics Core Extract Image by Id endpoint provides the id of the JPG portrait captured inside a previously cached encrypted enhanced liveness packet, stored in the image cache for later use (e.g. as an anchor for a subsequent Facematch by Id call) without waiting on a combined Biometrics check.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Correlation Id for the request
Request Body
Section titled “Request Body”object
object
Responses
Section titled “Responses”Returns a success on the Endpoint after processing the submitted encrypted packet id. This code does not indicate a success on the extraction of a face from the packet itself but rather a success on the call to the endpoint. The id of the extracted image, stored in the image cache, is in the response body (See Response Body section below).
object
object
object
object
Example generated
{ "imageDataId": "example", "error": { "error": "example", "errorCode": "example", "message": "example", "statusCode": "example" }}object
object
Example generated
{ "imageDataId": "example", "error": { "error": "example", "errorCode": "example", "message": "example", "statusCode": "example" }}No Content
Error with the provided parameters, please, check the response provided to get more insights on the problem.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}The provided packet id was not found in the cache.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}Internal error during our processing, please, get in touch with support so we can help you.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}